# Get all account-level template versions

Returns a paginated list of versions for an account-level template.

Endpoint: GET /v4/templates/{template_name}/versions
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `template_name` (string, required)
    Template name to fetch the versions for.

## Query parameters:

  - `page` (string)
    Name of the page to retrieve. Value can be `first`, `last`, `next`, or `previous`. Defaults to `first`.

  - `limit` (integer)
    Number of versions to retrieve. Default and max limit is 100.

  - `p` (string)
    Pivot used to retrieve the next page of versions.

## Response 200 fields (application/json):

  - `template` (any, required)
    Template details

  - `template.name` (string, required)
    Name of the template

  - `template.description` (string)
    Description of the template

  - `template.createdAt` (string)
    Creation date in RFC822 format

  - `template.createdBy` (string)
    Indicate who created the template

  - `template.id` (string)
    Template ID

  - `template.domain` (string)
    Domain of the template

  - `template.version` (any)
    Active version information

  - `template.version.tag` (string, required)
    Tag of the version. Must be unique to the template

  - `template.version.template` (string)
    Template content

  - `template.version.engine` (string, required)
    Rendering engine

  - `template.version.mjml` (string, required)
    Template source

  - `template.version.createdAt` (string, required)
    Creation date in RFC822 format

  - `template.version.comment` (string, required)
    Comment related to the version

  - `template.version.active` (boolean, required)
    If this flag is true

  - `template.version.id` (string, required)
    Template ID

  - `template.versions` (array | null)
    List of template's versions

  - `paging` (object, required)
    Pagination details

  - `paging.previous` (string, required)
    Previous page URL

  - `paging.first` (string, required)
    First page URL

  - `paging.next` (string, required)
    Next page URL

  - `paging.last` (string, required)
    Last page URL

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message

